## Package gnu.regexp

Interface Summary
CharIndexed: Defines the interface used internally so that different types of source text can be accessed in the same way.

Class Summary
RE: RE provides the user interface for compiling and matching regular expressions.
REFilterInputStream: Deprecated. This class cannot properly handle all character encodings.
REFilterReader: Replaces instances of a given RE with replacement text.
REMatch: An instance of this class represents a match completed by a gnu.regexp matching function.
REMatchEnumeration: An REMatchEnumeration enumerates regular expression matches over a given input text.
RESyntax: An RESyntax specifies the way a regular expression will be compiled.
UncheckedRE: UncheckedRE is a subclass of RE that allows programmers an easier means of programmatically precompiling regular expressions.

Exception Summary
REException: This is the regular expression exception class.